Subject: Re: send-email sending shallow threads by default

From: [email-masked] (Eric W. Biederman)
Date: Thu, 19 Feb 2009 20:13:39 -0800

Jeff King <[email-masked]> writes:

> On Thu, Feb 19, 2009 at 07:03:27PM -0800, Eric W. Biederman wrote:
>
>> > send-email does write a new date header. Which is actually desirable,
>> > IMHO, because otherwise rebased patches would get sent with their
>> > original date, which might very well long in the past (and not only is
>> > that confusing, but it would probably trip spam filters).
>> 
>> Can we ensure that all of the messages sent differ in date by 1 second?
>> Keeping them in order for anyone who looks at the transmit date.
>
> I think it already does:
>
>   $ git show a5370b16
>   commit a5370b16c34993c1d0f65171d5704244901e005b
>   Author: Eric Wong <[email-masked]>
>   Date:   Sat Mar 25 03:01:01 2006 -0800
>
>       send-email: try to order messages in email clients more correctly
>
>       If --no-chain-reply-to is set, patches may not always be ordered
>       correctly in email clients.  This patch makes sure each email
>       sent from a different second.

Well that date's my experiments with git-send-email.  And yes looking at the
code the transmit date still appears to be computed that way.

$time = time - scalar $#files;
my $date = format_2822_time($time++);

So it appears that problem has been solved if a person simply sorts by
transmit date.

So it sounds like a good change in defaults to me.

Eric